node {
   stage('GIT CHECKOUT') { 
    git credentialsId: '61fca49a-b39d-456f-9f1b-c088b0ddf7a4', url: 'https://gitlab.com/amit.rana/airflow_infra.git'
   }
   stage('TERRAFORM INIT') {
    withCredentials([[$class: 'AmazonWebServicesCredentialsBinding', accessKeyVariable: 'AWS_ACCESS_KEY_ID', credentialsId: '2a32ea12-43ae-427c-89a0-846ffcc77d26', secretKeyVariable: 'AWS_SECRET_ACCESS_KEY']])
    {
          sh label: '', script: '''cd terraform/infra/
          terraform init'''
     
}
       }
          stage('TERRAFORM REFRESH') {
    withCredentials([[$class: 'AmazonWebServicesCredentialsBinding', accessKeyVariable: 'AWS_ACCESS_KEY_ID', credentialsId: '2a32ea12-43ae-427c-89a0-846ffcc77d26', secretKeyVariable: 'AWS_SECRET_ACCESS_KEY']])
    {
        sh label: '', script: '''cd terraform/infra/
          terraform refresh'''
     
}
       }
          stage('TERRAFORM APPLY') {
    withCredentials([[$class: 'AmazonWebServicesCredentialsBinding', accessKeyVariable: 'AWS_ACCESS_KEY_ID', credentialsId: '2a32ea12-43ae-427c-89a0-846ffcc77d26', secretKeyVariable: 'AWS_SECRET_ACCESS_KEY']])
    {
        sh label: '', script: '''cd terraform/infra/
          terraform apply -auto-approve'''
     
}
       }
//   }
//   stage('Results') {
     
//   }
}
